﻿## History of changes for WinPython-64bit 3.10.2.0



The following changes were made to WinPython-64bit distribution since version 3.10.0.1.



### Tools



Upgraded packages:



  * [Nodejs](https://nodejs.org) v14.17.6 → v16.13.1 (a JavaScript runtime built on Chrome's V8 JavaScript engine)

  * [npmjs](https://www.npmjs.com/) 6.14.15 → 8.1.2 (a package manager for JavaScript)



### Python packages



New packages:



  * [alembic](https://pypi.org/project/alembic) 1.7.5 (A database migration tool for SQLAlchemy.)

  * [argon2_cffi_bindings](https://pypi.org/project/argon2_cffi_bindings) 21.2.0 (Low-level CFFI bindings for Argon2)

  * [arrow](https://pypi.org/project/arrow) 1.2.1 (Better dates & times for Python)

  * [astor](https://pypi.org/project/astor) 0.8.1 (Read/rewrite/write Python ASTs)

  * [base58](https://pypi.org/project/base58) 2.1.1 (Base58 and Base58Check implementation)

  * [bcrypt](https://pypi.org/project/bcrypt) 3.2.0 (Modern password hashing for your software and your servers)

  * [binaryornot](https://pypi.org/project/binaryornot) 0.4.4 (Ultra-lightweight pure Python package to check if a file is binary or text.)

  * [blis](https://pypi.org/project/blis) 0.7.5 (The Blis BLAS-like linear algebra library, as a self-contained C-extension.)

  * [cachetools](https://pypi.org/project/cachetools) 5.0.0 (Extensible memoizing collections and decorators)

  * [catalogue](https://pypi.org/project/catalogue) 2.0.6 (Super lightweight function registries for your library)

  * [chardet](https://pypi.org/project/chardet) 4.0.0 (Universal encoding detector for Python 2 and 3)

  * [clr_loader](https://pypi.org/project/clr_loader) 0.1.7 (Generic pure Python loader for .NET runtimes)

  * [clrmagic](https://pypi.org/project/clrmagic) 0.0.1a2 (IPython cell magic to use .NET languages)

  * [cookiecutter](https://pypi.org/project/cookiecutter) 1.7.3 (A command-line utility that creates projects from project templates, e.g. creating a Python package project from a Python package project template.)

  * [cramjam](https://pypi.org/project/cramjam) 2.5.0 (Thin Python bindings to de/compression algorithms in Rust)

  * [cryptography](https://pypi.org/project/cryptography) 35.0.0 (cryptography is a package which provides cryptographic recipes and primitives to Python developers.)

  * [cx_freeze](https://pypi.org/project/cx_freeze) 6.9 (create standalone executables from Python scripts)

  * [cx_logging](https://pypi.org/project/cx_logging) 3.0 (Python and C interfaces for logging)

  * [cymem](https://pypi.org/project/cymem) 2.0.6 (Manage calls to calloc/free through Cython)

  * [dask_glm](https://pypi.org/project/dask_glm) 0.2.0 (Generalized Linear Models with Dask)

  * [dask_ml](https://pypi.org/project/dask_ml) 2021.11.30 (A library for distributed and parallel machine learning)

  * [datashader](https://pypi.org/project/datashader) 0.13.0 (Data visualization toolchain based on aggregating into a grid)

  * [datashape](https://pypi.org/project/datashape) 0.5.2 (A data description language.)

  * [deprecated](https://pypi.org/project/deprecated) 1.2.13 (Python @deprecated decorator to deprecate old python classes, functions or methods.)

  * [diff_match_patch](https://pypi.org/project/diff_match_patch) 20200713 (Repackaging of Google's Diff Match and Patch libraries. Offers robust algorithms to perform the operations required for synchronizing plain text.)

  * [fastparquet](https://pypi.org/project/fastparquet) 0.7.2 (Python support for Parquet file format)

  * [feather_format](https://pypi.org/project/feather_format) 0.4.1 (Simple wrapper library to the Apache Arrow-based Feather File Format)

  * [flake8](https://pypi.org/project/flake8) 4.0.1 (the modular source code checker: pep8, pyflakes and co)

  * [gmpy2](https://pypi.org/project/gmpy2) 2.1.2 (GMP/MPIR, MPFR, and MPC interface to Python 2.6+ and 3.x)

  * [guiqwt](https://pypi.org/project/guiqwt) 4.0.1 (guiqwt is a set of tools for curve and image plotting (extension to PythonQwt))

  * [inflection](https://pypi.org/project/inflection) 0.5.1 (A port of Ruby on Rails inflector to Python)

  * [intervaltree](https://pypi.org/project/intervaltree) 3.0.2 (Editable interval tree data structure for Python 2 and 3)

  * [jellyfish](https://pypi.org/project/jellyfish) 0.9.0 (a library for doing approximate and phonetic matching of strings.)

  * [jinja2_time](https://pypi.org/project/jinja2_time) 0.2.0 (Jinja2 Extension for Dates and Times)

  * [langcodes](https://pypi.org/project/langcodes) 3.3.0 (Tools for labeling human languages with IETF language tags)

  * [llvmlite](https://pypi.org/project/llvmlite) 0.38.0 (lightweight wrapper around basic LLVM functionality)

  * [mako](https://pypi.org/project/mako) 1.1.6 (A super-fast templating language that borrows the  best ideas from the existing templating languages.)

  * [mkl_service](https://pypi.org/project/mkl_service) 2.4.0 (Python bindings to some MKL service functions)

  * [murmurhash](https://pypi.org/project/murmurhash) 1.0.6 (Cython bindings for MurmurHash)

  * [numba](https://pypi.org/project/numba) 0.55.0 (compiling Python code using LLVM)

  * [paramiko](https://pypi.org/project/paramiko) 2.8.0 (SSH2 protocol library)

  * [pathy](https://pypi.org/project/pathy) 0.6.1 (pathlib.Path subclasses for local and cloud bucket storage)

  * [poyo](https://pypi.org/project/poyo) 0.5.0 (A lightweight YAML Parser for Python. &#128019;)

  * [preshed](https://pypi.org/project/preshed) 3.0.6 (Cython hash table that trusts the keys are pre-hashed)

  * [pyarrow](https://pypi.org/project/pyarrow) 6.0.1 (Python library for Apache Arrow)

  * [pydocstyle](https://pypi.org/project/pydocstyle) 6.1.1 (Python docstring style checker)

  * [pygbm](https://pypi.org/project/pygbm) 0.1.0 (Experimental, numba-based Gradient Boosting Machines)

  * [pyls_spyder](https://pypi.org/project/pyls_spyder) 0.4.0 (Spyder extensions for the python-language-server)

  * [pynacl](https://pypi.org/project/pynacl) 1.5.0 (Python binding to the Networking and Cryptography (NaCl) library)

  * [pynndescent](https://pypi.org/project/pynndescent) 0.5.5 (Nearest Neighbor Descent)

  * [pyside2](https://pypi.org/project/pyside2) 5.15.2.1 (Python bindings for the Qt cross-platform application and UI framework)

  * [python_dotenv](https://pypi.org/project/python_dotenv) 0.19.2 (Add .env support to your django/flask apps in development and deployments)

  * [python_levenshtein](https://pypi.org/project/python_levenshtein) 0.12.2 (Python extension for computing string edit distances and similarities.)

  * [python_lsp_black](https://pypi.org/project/python_lsp_black) 1.0.1 (Black plugin for the Python LSP Server)

  * [python_slugify](https://pypi.org/project/python_slugify) 5.0.2 (A Python Slugify application that handles Unicode)

  * [pythonnet](https://pypi.org/project/pythonnet) 3.0.0a1 (.Net and Mono integration for Python)

  * [pythonqwt](https://pypi.org/project/pythonqwt) 0.10.1 (Qt plotting widgets for Python)

  * [pytz_deprecation_shim](https://pypi.org/project/pytz_deprecation_shim) 0.1.0.post0 (Shims to make deprecation of pytz easier)

  * [pyzstd](https://pypi.org/project/pyzstd) 0.15.1 (Python bindings to Zstandard (zstd) compression library, the API is similar to Python's bz2/lzma/zlib module.)

  * [qdarkstyle](https://pypi.org/project/qdarkstyle) 3.0.2 (The most complete dark stylesheet for Python and Qt applications)

  * [qstylizer](https://pypi.org/project/qstylizer) 0.2.1 (Stylesheet Generator for PyQt{4-5}/PySide{1-2})

  * [qtawesome](https://pypi.org/project/qtawesome) 1.1.1 (FontAwesome icons in PyQt and PySide applications)

  * [quantecon](https://pypi.org/project/quantecon) 0.5.2 (QuantEcon is a package to support all forms of quantitative economic modelling.)

  * [rope](https://pypi.org/project/rope) 0.22.0 (a python refactoring library...)

  * [ruamel.yaml.clib](https://pypi.org/project/ruamel.yaml.clib) 0.2.6 (C version of reader, parser and emitter for ruamel.yaml derived from libyaml)

  * [shiboken2](https://pypi.org/project/shiboken2) 5.15.2.1 (Python / C++ bindings helper module)

  * [smart_open](https://pypi.org/project/smart_open) 5.2.1 (Utils for streaming large files (S3, HDFS, GCS, Azure Blob Storage, gzip, bz2...))

  * [spacy](https://pypi.org/project/spacy) 3.2.1 (Industrial-strength Natural Language Processing (NLP) in Python)

  * [spacy_legacy](https://pypi.org/project/spacy_legacy) 3.0.8 (Legacy registered functions for spaCy backwards compatibility)

  * [spacy_loggers](https://pypi.org/project/spacy_loggers) 1.0.1 (Logging utilities for SpaCy)

  * [spyder](https://pypi.org/project/spyder) 5.2.2 (The Scientific Python Development Environment)

  * [spyder_kernels](https://pypi.org/project/spyder_kernels) 2.2.1 (Jupyter kernels for Spyder's console)

  * [srsly](https://pypi.org/project/srsly) 2.4.2 (Modern high-performance serialization utilities for Python)

  * [streamlit](https://pypi.org/project/streamlit) 1.1.0 (The fastest way to build data apps in Python)

  * [swifter](https://pypi.org/project/swifter) 1.0.9 (A package which efficiently applies any function to a pandas dataframe or series in the fastest available manner)

  * [text_unidecode](https://pypi.org/project/text_unidecode) 1.3 (The most basic Text::Unidecode port)

  * [textdistance](https://pypi.org/project/textdistance) 4.2.2 (Compute distance between the two texts.)

  * [thinc](https://pypi.org/project/thinc) 8.0.13 (Practical Machine Learning for NLP)

  * [three_merge](https://pypi.org/project/three_merge) 0.1.1 (Simple library for merging two strings with respect to a base one)

  * [thrift](https://pypi.org/project/thrift) 0.15.0 (Python bindings for the Apache Thrift RPC system)

  * [tinycss2](https://pypi.org/project/tinycss2) 1.1.1 (tinycss2)

  * [typer](https://pypi.org/project/typer) 0.4.0 (Typer, build great CLIs. Easy to code. Based on Python type hints.)

  * [tzdata](https://pypi.org/project/tzdata) 2021.5 (Provider of IANA time zone data)

  * [validators](https://pypi.org/project/validators) 0.18.2 (Python Data Validation for Humans&#8482;.)

  * [wasabi](https://pypi.org/project/wasabi) 0.9.0 (A lightweight console printing and formatting toolkit)

  * [watchdog](https://pypi.org/project/watchdog) 2.1.5 (Filesystem events monitoring)

  * [websockets](https://pypi.org/project/websockets) 10.1 (An implementation of the WebSocket Protocol (RFC 6455 & 7692))

  * [yapf](https://pypi.org/project/yapf) 0.32.0 (A formatter for Python code.)



Upgraded packages:



  * [aiofiles](https://pypi.org/project/aiofiles) 0.6.0 → 0.8.0 (File support for asyncio.)

  * [aiohttp](https://pypi.org/project/aiohttp) 3.8.0 → 3.8.1 (Async http client/server framework (asyncio))

  * [altair](https://pypi.org/project/altair) 4.1.0 → 4.2.0 (Altair: A declarative statistical visualization library for Python.)

  * [anyio](https://pypi.org/project/anyio) 3.3.4 → 3.5.0 (High level compatibility layer for multiple asynchronous event loop implementations)

  * [argon2_cffi](https://pypi.org/project/argon2_cffi) 21.1.0 → 21.3.0 (The secure Argon2 password hashing algorithm.)

  * [asteval](https://pypi.org/project/asteval) 0.9.25 → 0.9.26 (Safe, minimalistic evaluator of python expression using ast module)

  * [astroid](https://pypi.org/project/astroid) 2.8.4 → 2.9.3 (An abstract syntax tree for Python with inference support.)

  * [async_timeout](https://pypi.org/project/async_timeout) 4.0.0 → 4.0.2 (Timeout context manager for asyncio programs)

  * [attrs](https://pypi.org/project/attrs) 21.2.0 → 21.4.0 (Classes Without Boilerplate)

  * [black](https://pypi.org/project/black) 21.9b0 → 21.12b0 (The uncompromising code formatter.)

  * [bokeh](https://pypi.org/project/bokeh) 2.4.1 → 2.4.2 (Interactive plots and applications in the browser from Python)

  * [bqplot](https://pypi.org/project/bqplot) 0.12.31 → 0.12.32 (Interactive plotting for the Jupyter notebook, using d3.js and ipywidgets.)

  * [cachelib](https://pypi.org/project/cachelib) 0.3.0 → 0.5.0 (A collection of cache libraries in the same API interface.)

  * [cartopy](https://pypi.org/project/cartopy) 0.20.1 → 0.20.2 (A cartographic python library with Matplotlib support for visualisation)

  * [charset_normalizer](https://pypi.org/project/charset_normalizer) 2.0.7 → 2.0.10 (The Real First Universal Charset Detector. Open, modern and actively maintained alternative to Chardet.)

  * [colorcet](https://pypi.org/project/colorcet) 2.0.6 → 3.0.0 (Collection of perceptually uniform colormaps)

  * [coverage](https://pypi.org/project/coverage) 6.1.1 → 6.2 (Code coverage measurement for Python)

  * [csvs_to_sqlite](https://pypi.org/project/csvs_to_sqlite) 1.2 → 1.3 (Convert CSV files into a SQLite database)

  * [cvxpy](https://pypi.org/project/cvxpy) 1.1.15 → 1.1.18 (A domain-specific language for modeling convex optimization problems in Python.)

  * [cython](https://pypi.org/project/cython) 0.29.24 → 0.29.26 (The Cython compiler for writing C extensions for the Python language.)

  * [dask](https://pypi.org/project/dask) 2021.11.0 → 2022.1.0 (Parallel PyData with Task Scheduling)

  * [dask_image](https://pypi.org/project/dask_image) 0.6.0 → 2021.12.0 (Distributed image processing)

  * [dask_labextension](https://pypi.org/project/dask_labextension) 5.1.0 → 5.2.0 (A Jupyter Notebook server extension manages Dask clusters.)

  * [datasette](https://pypi.org/project/datasette) 0.59.1 → 0.60 (A tool for exploring and publishing data)

  * [distlib](https://pypi.org/project/distlib) 0.3.3 → 0.3.4 (Distribution utilities)

  * [distributed](https://pypi.org/project/distributed) 2021.11.0 → 2022.1.0 (Distributed scheduler for Dask)

  * [ecos](https://pypi.org/project/ecos) 2.0.7.post1 → 2.0.10 (This is the Python package for ECOS: Embedded Cone Solver. See Github page for more information.)

  * [fastapi](https://pypi.org/project/fastapi) 0.70.0 → 0.71.0 (FastAPI framework, high performance, easy to learn, fast to code, ready for production)

  * [fasteners](https://pypi.org/project/fasteners) 0.16.3 → 0.17.2 (A python package that provides useful locks.)

  * [filelock](https://pypi.org/project/filelock) 3.3.2 → 3.4.2 (A platform independent file lock.)

  * [flit](https://pypi.org/project/flit) 3.4.0 → 3.6.0 (A simple packaging tool for simple packages.)

  * [flit_core](https://pypi.org/project/flit_core) 3.4.0 → 3.6.0 (Distribution-building parts of Flit. See flit package for more information)

  * [fonttools](https://pypi.org/project/fonttools) 4.27.1 → 4.28.5 (Tools to manipulate font files)

  * [fs](https://pypi.org/project/fs) 2.4.13 → 2.4.14 (Python's filesystem abstraction layer)

  * [fsspec](https://pypi.org/project/fsspec) 2021.11.0 → 2022.1.0 (File-system specification)

  * [gdal](https://pypi.org/project/gdal) 3.3.3 → 3.4.1 (GDAL: Geospatial Data Abstraction Library)

  * [geoviews](https://pypi.org/project/geoviews) 1.9.2 → 1.9.3 (GeoViews is a Python library that makes it easy to explore and visualize geographical, meteorological, and oceanographic datasets, such as those used in weather, climate, and remote sensing research.)

  * [gitpython](https://pypi.org/project/gitpython) 3.1.24 → 3.1.26 (Python Git Library)

  * [guidata](https://pypi.org/project/guidata) 1.8.1a0 → 2.0.3 (Automatic graphical user interfaces generation for easy dataset editing and display)

  * [h5py](https://pypi.org/project/h5py) 3.5.0 → 3.6.0 (Read and write HDF5 files from Python)

  * [holoviews](https://pypi.org/project/holoviews) 1.14.6 → 1.14.7 (Stop plotting your data - annotate your data and let it visualize itself.)

  * [httpcore](https://pypi.org/project/httpcore) 0.13.7 → 0.14.5 (A minimal low-level HTTP client.)

  * [httpx](https://pypi.org/project/httpx) 0.20.0 → 0.21.3 (The next generation HTTP client.)

  * [hypercorn](https://pypi.org/project/hypercorn) 0.11.2 → 0.13.2 (A ASGI Server based on Hyper libraries and inspired by Gunicorn.)

  * [hypothesis](https://pypi.org/project/hypothesis) 6.24.0 → 6.35.0 (A library for property-based testing)

  * [idlex](https://pypi.org/project/idlex) 1.18 → 1.22 (IDLE Extensions for Python)

  * [imageio](https://pypi.org/project/imageio) 2.10.3 → 2.13.5 (Library for reading and writing a wide range of image, video, scientific, and volumetric data formats.)

  * [imagesize](https://pypi.org/project/imagesize) 1.2.0 → 1.3.0 (Getting image size from png/jpeg/jpeg2000/gif file)

  * [imbalanced_learn](https://pypi.org/project/imbalanced_learn) 0.8.1 → 0.9.0 (Toolbox for imbalanced dataset in machine learning.)

  * [importlib_metadata](https://pypi.org/project/importlib_metadata) 4.8.0 → 4.10.1 (Read metadata from Python packages)

  * [intake](https://pypi.org/project/intake) 0.6.2 → 0.6.4 (Data load and catalog system)

  * [ipycanvas](https://pypi.org/project/ipycanvas) 0.9.1 → 0.10.2 (Interactive widgets library exposing the browser's Canvas API)

  * [ipykernel](https://pypi.org/project/ipykernel) 6.5.0 → 6.7.0 (IPython Kernel for Jupyter)

  * [ipympl](https://pypi.org/project/ipympl) 0.8.2 → 0.8.6 (Matplotlib Jupyter Extension)

  * [ipython](https://pypi.org/project/ipython) 7.29.0 → 7.31.0 (IPython: Productive Interactive Computing)

  * [isort](https://pypi.org/project/isort) 5.9.3 → 5.10.1 (A Python utility / library to sort Python imports.)

  * [janus](https://pypi.org/project/janus) 0.6.2 → 1.0.0 (Mixed sync-async queue to interoperate between asyncio tasks and classic threads)

  * [jedi](https://pypi.org/project/jedi) 0.18.0 → 0.18.1 (An autocompletion tool for Python that can be used for text editors.)

  * [jinja2](https://pypi.org/project/jinja2) 3.0.2 → 3.0.3 (A small but fast and easy to use stand-alone template engine written in pure python.)

  * [jsonschema](https://pypi.org/project/jsonschema) 4.2.1 → 4.4.0 (An implementation of JSON Schema validation for Python)

  * [jupyter_client](https://pypi.org/project/jupyter_client) 6.2.0 → 7.1.1 (Jupyter protocol implementation and client libraries)

  * [jupyter_lsp](https://pypi.org/project/jupyter_lsp) 1.5.0 → 1.5.1 (Multi-Language Server WebSocket proxy for Jupyter Notebook/Lab server)

  * [jupyter_packaging](https://pypi.org/project/jupyter_packaging) 0.11.0 → 0.11.1 (Jupyter Packaging Utilities)

  * [jupyter_server](https://pypi.org/project/jupyter_server) 1.11.2 → 1.13.4 (The Jupyter Server)

  * [jupyter_server_proxy](https://pypi.org/project/jupyter_server_proxy) 3.1.0 → 3.2.0 (Jupyter server extension to supervise and proxy web services)

  * [jupyterlab](https://pypi.org/project/jupyterlab) 3.2.2 → 3.2.8 (The JupyterLab notebook server extension.)

  * [jupyterlab_git](https://pypi.org/project/jupyterlab_git) 0.33.0 → 0.34.2 (A server extension for JupyterLab's git extension)

  * [jupyterlab_lsp](https://pypi.org/project/jupyterlab_lsp) 3.9.1 → 3.10.0 (Language Server Protocol integration for JupyterLab)

  * [jupyterlab_server](https://pypi.org/project/jupyterlab_server) 2.8.2 → 2.10.3 (JupyterLab Server)

  * [keyring](https://pypi.org/project/keyring) 23.2.1 → 23.5.0 (Store and access your passwords safely.)

  * [lazy_object_proxy](https://pypi.org/project/lazy_object_proxy) 1.6.0 → 1.7.1 (A fast and thorough lazy object proxy.)

  * [lxml](https://pypi.org/project/lxml) 4.6.4 → 4.7.1 (Powerful and Pythonic XML processing library combining libxml2/libxslt with the ElementTree API.)

  * [lz4](https://pypi.org/project/lz4) 3.1.3 → 3.1.10 (LZ4 Bindings for Python)

  * [markdown](https://pypi.org/project/markdown) 3.3.4 → 3.3.6 (Python implementation of Markdown.)

  * [matplotlib](https://pypi.org/project/matplotlib) 3.5.0rc1 → 3.5.1 (Python plotting package)

  * [maturin](https://pypi.org/project/maturin) 0.11.5 → 0.12.6 (Build and publish crates with pyo3, rust-cpython and cffi bindings as well as rust binaries as python packages)

  * [metakernel](https://pypi.org/project/metakernel) 0.27.5 → 0.28.2 (Metakernel for Jupyter)

  * [mpld3](https://pypi.org/project/mpld3) 0.5.5 → 0.5.7 (D3 Viewer for Matplotlib)

  * [msgpack](https://pypi.org/project/msgpack) 1.0.2 → 1.0.3 (MessagePack (de)serializer.)

  * [mypy](https://pypi.org/project/mypy) 0.910 → 0.931 (Optional static typing for Python)

  * [nbclassic](https://pypi.org/project/nbclassic) 0.3.4 → 0.3.5 (Jupyter Notebook as a Jupyter Server Extension.)

  * [nbclient](https://pypi.org/project/nbclient) 0.5.4 → 0.5.10 (A client library for executing notebooks. Formally nbconvert's ExecutePreprocessor.)

  * [nbconvert](https://pypi.org/project/nbconvert) 6.2.0 → 6.4.0 (Converting Jupyter Notebooks)

  * [nest_asyncio](https://pypi.org/project/nest_asyncio) 1.5.1 → 1.5.4 (Patch asyncio to allow nested event loops)

  * [nltk](https://pypi.org/project/nltk) 3.6.5 → 3.6.7 (Natural Language Toolkit)

  * [notebook](https://pypi.org/project/notebook) 6.4.5 → 6.4.7 (A web-based notebook environment for interactive computing)

  * [numexpr](https://pypi.org/project/numexpr) 2.7.3 → 2.8.1 (Fast numerical expression evaluator for NumPy)

  * [numpy](https://pypi.org/project/numpy) 1.21.4+mkl → 1.21.5+mkl (NumPy is the fundamental package for array computing with Python.)

  * [oct2py](https://pypi.org/project/oct2py) 5.2.0 → 5.4.2 (Python to GNU Octave bridge --> run m-files from python.)

  * [octave_kernel](https://pypi.org/project/octave_kernel) 0.32.0 → 0.34.0 (A Jupyter kernel for Octave.)

  * [orjson](https://pypi.org/project/orjson) 3.6.4 → 3.6.5 (Fast, correct Python JSON library supporting dataclasses, datetimes, and numpy)

  * [osqp](https://pypi.org/project/osqp) 0.6.2.post0 → 0.6.2.post4 (OSQP: The Operator Splitting QP Solver)

  * [packaging](https://pypi.org/project/packaging) 21.2 → 21.3 (Core utilities for Python packages)

  * [pandas](https://pypi.org/project/pandas) 1.3.4 → 1.4.0 (Powerful data structures for data analysis, time series, and statistics)

  * [panel](https://pypi.org/project/panel) 0.12.4 → 0.12.6 (A high level app and dashboarding solution for Python.)

  * [parso](https://pypi.org/project/parso) 0.8.2 → 0.8.3 (A Python Parser)

  * [pg8000](https://pypi.org/project/pg8000) 1.21.1 → 1.23.0 (PostgreSQL interface library)

  * [pillow](https://pypi.org/project/pillow) 8.4.0 → 9.0.0 (Python Imaging Library (Fork))

  * [pipdeptree](https://pypi.org/project/pipdeptree) 2.2.0 → 2.2.1 (Command line utility to show dependency tree of packages)

  * [pkginfo](https://pypi.org/project/pkginfo) 1.7.1 → 1.8.2 (Query metadatdata from sdists / bdists / installed packages.)

  * [platformdirs](https://pypi.org/project/platformdirs) 2.4.0 → 2.4.1 (A small Python module for determining appropriate platform-specific dirs, e.g. a "user data dir".)

  * [plotly](https://pypi.org/project/plotly) 5.3.1 → 5.5.0 (An open-source, interactive graphing library for Python)

  * [prettytable](https://pypi.org/project/prettytable) 2.4.0 → 3.0.0 (A simple Python library for easily displaying tabular data in a visually appealing ASCII table format.)

  * [prompt_toolkit](https://pypi.org/project/prompt_toolkit) 3.0.22 → 3.0.24 (Library for building powerful interactive command lines in Python)

  * [psutil](https://pypi.org/project/psutil) 5.8.0 → 5.9.0 (Cross-platform lib for process and system monitoring in Python.)

  * [py](https://pypi.org/project/py) 1.10.0 → 1.11.0 (library with cross-python path, ini-parsing, io, code, log facilities)

  * [pybind11](https://pypi.org/project/pybind11) 2.8.1 → 2.9.0 (Seamless operability between C++11 and Python)

  * [pycparser](https://pypi.org/project/pycparser) 2.20 → 2.21 (C parser in Python)

  * [pyerfa](https://pypi.org/project/pyerfa) 2.0.0 → 2.0.0.1 (Python bindings for ERFA)

  * [pygame](https://pypi.org/project/pygame) 2.0.3 → 2.1.2 (Python Game Development)

  * [pygments](https://pypi.org/project/pygments) 2.10.0 → 2.11.2 (Pygments is a syntax highlighting package written in Python.)

  * [pyinstaller](https://pypi.org/project/pyinstaller) 4.6 → 4.8 (PyInstaller bundles a Python application and all its dependencies into a single package.)

  * [pyinstaller_hooks_contrib](https://pypi.org/project/pyinstaller_hooks_contrib) 2021.3 → 2021.5 (Community maintained hooks for PyInstaller)

  * [pylint](https://pypi.org/project/pylint) 2.11.1 → 2.12.2 (python code static checker)

  * [pymongo](https://pypi.org/project/pymongo) 3.12.1 → 4.0.1 (Python driver for MongoDB <http www.mongodb.org>)

  * [pyproj](https://pypi.org/project/pyproj) 3.2.1 → 3.3.0 (Python interface to PROJ (cartographic projections and coordinate transformations library))

  * [pyrsistent](https://pypi.org/project/pyrsistent) 0.18.0 → 0.18.1 (Persistent/Functional/Immutable data structures)

  * [Python](http://www.python.org/) 3.10.0 → 3.10.2 (Python programming language with standard library)

  * [python_lsp_server](https://pypi.org/project/python_lsp_server) 1.3.0.dev0 → 1.3.3 (Python Language Server for the Language Server Protocol)

  * [pywavelets](https://pypi.org/project/pywavelets) 1.1.1 → 1.2.0 (PyWavelets, wavelet transform module)

  * [pywin32](https://pypi.org/project/pywin32) 302 → 303 (Python for Window Extensions)

  * [pywinpty](https://pypi.org/project/pywinpty) 1.1.5 → 1.1.6 (Python bindings for the winpty library)

  * [pyzo](https://pypi.org/project/pyzo) 4.11.3a1 → 4.12.0 (the Python IDE for scientific computing)

  * [qpsolvers](https://pypi.org/project/qpsolvers) 1.7.1 → 1.8.0 (Quadratic programming solvers in Python with a unified API)

  * [qtconsole](https://pypi.org/project/qtconsole) 5.1.1 → 5.2.2 (Jupyter Qt console)

  * [qtpy](https://pypi.org/project/qtpy) 2.0.0.dev0 → 2.0.0 (Provides an abstraction layer on top of the various Qt bindings (PyQt5, PyQt4 and PySide) and additional custom QWidgets.)

  * [quart](https://pypi.org/project/quart) 0.15.1 → 0.16.2 (A Python ASGI web microframework with the same API as Flask)

  * [readme_renderer](https://pypi.org/project/readme_renderer) 30.0 → 32.0 (readme_renderer is a library for rendering "readme" descriptions for Warehouse)

  * [redis](https://pypi.org/project/redis) 3.5.3 → 4.1.0 (Python client for Redis key-value store)

  * [regex](https://pypi.org/project/regex) 2021.10.23 → 2022.1.18 (Alternative regular expression module, to replace re.)

  * [reportlab](https://pypi.org/project/reportlab) 3.6.2 → 3.6.5 (The Reportlab Toolkit)

  * [requests](https://pypi.org/project/requests) 2.26.0 → 2.27.1 (Python HTTP for Humans.)

  * [ruamel.yaml](https://pypi.org/project/ruamel.yaml) 0.17.17 → 0.17.20 (a YAML parser/emitter that supports roundtrip preservation of comments, seq/map flow style, and map key order)

  * [scikit_image](https://pypi.org/project/scikit_image) 0.18.3 → 0.19.1 (Image processing routines for SciPy)

  * [scikit_learn](https://pypi.org/project/scikit_learn) 1.0.1 → 1.0.2 (A set of python modules for machine learning and data mining)

  * [scipy](https://pypi.org/project/scipy) 1.7.2 → 1.7.3 (SciPy: Scientific Library for Python)

  * [scs](https://pypi.org/project/scs) 2.1.4 → 3.1.0 (scs: splitting conic solver)

  * [setuptools](https://pypi.org/project/setuptools) 58.5.3 → 60.5.0 (Easily download, build, install, upgrade, and uninstall Python packages)

  * [simplejson](https://pypi.org/project/simplejson) 3.17.5 → 3.17.6 (Simple, fast, extensible JSON encoder/decoder for Python)

  * [snowballstemmer](https://pypi.org/project/snowballstemmer) 2.1.0 → 2.2.0 (This package provides 26 stemmers for 25 languages generated from Snowball algorithms.)

  * [sounddevice](https://pypi.org/project/sounddevice) 0.4.3 → 0.4.4 (Play and Record Sound with Python)

  * [soupsieve](https://pypi.org/project/soupsieve) 2.3 → 2.3.1 (A modern CSS selector implementation for Beautiful Soup.)

  * [sphinx](https://pypi.org/project/sphinx) 4.2.0 → 4.4.0 (Tool for generating documentation which uses reStructuredText as its markup language)

  * [sqlalchemy](https://pypi.org/project/sqlalchemy) 1.4.26 → 1.4.28 (Database Abstraction Library)

  * [sqlite_utils](https://pypi.org/project/sqlite_utils) 3.17.1 → 3.22 (CLI tool and Python utility functions for manipulating SQLite databases)

  * [starlette](https://pypi.org/project/starlette) 0.16.0 → 0.17.1 (The little ASGI library that shines.)

  * [statsmodels](https://pypi.org/project/statsmodels) 0.13.0 → 0.13.1 (Statistical computations and models for Python)

  * [tables](https://pypi.org/project/tables) 3.6.1 → 3.7.0 (Hierarchical datasets for Python)

  * [tomli_w](https://pypi.org/project/tomli_w) 0.4.0 → 1.0.0 (A lil' TOML writer)

  * [tomlkit](https://pypi.org/project/tomlkit) 0.7.2 → 0.8.0 (Style preserving TOML library)

  * [toolz](https://pypi.org/project/toolz) 0.11.1 → 0.11.2 (List processing tools and functional utilities)

  * [twine](https://pypi.org/project/twine) 3.5.0 → 3.7.1 (Collection of utilities for publishing packages on PyPI)

  * [typing_extensions](https://pypi.org/project/typing_extensions) 3.10.0.2 → 4.0.1 (Backported and Experimental Type Hints for Python 3.5+)

  * [tzlocal](https://pypi.org/project/tzlocal) 2.1 → 4.1 (tzinfo object for the local timezone)

  * [ujson](https://pypi.org/project/ujson) 4.2.0 → 5.1.0 (Ultra fast JSON encoder and decoder for Python)

  * [urllib3](https://pypi.org/project/urllib3) 1.26.7 → 1.26.8 (HTTP library with thread-safe connection pooling, file post, and more.)

  * [uvicorn](https://pypi.org/project/uvicorn) 0.15.0 → 0.17.0 (The lightning-fast ASGI server.)

  * [virtualenv](https://pypi.org/project/virtualenv) 20.9.0 → 20.13.0 (Virtual Python Environment builder)

  * [voila](https://pypi.org/project/voila) 0.2.16 → 0.3.0 (Serving read-only live Jupyter notebooks)

  * [wasmer](https://pypi.org/project/wasmer) 1.0.0 → 1.1.0 (Python extension to run WebAssembly binaries)

  * [wasmer_compiler_cranelift](https://pypi.org/project/wasmer_compiler_cranelift) 1.0.0 → 1.1.0 (The Cranelift compiler for the `wasmer` package (to compile WebAssembly module))

  * [wasmer_compiler_singlepass](https://pypi.org/project/wasmer_compiler_singlepass) 1.0.0 → 1.1.0 (Python extension to run WebAssembly binaries)

  * [websocket_client](https://pypi.org/project/websocket_client) 1.2.1 → 1.2.3 (WebSocket client for Python. hybi13 is supported.)

  * [wheel](https://pypi.org/project/wheel) 0.37.0 → 0.37.1 (A built-package format for Python)

  * [winpython](http://winpython.github.io/) 4.6.20211106 → 4.6.20220116 (WinPython distribution tools, including WPPM)

  * [xarray](https://pypi.org/project/xarray) 0.20.1 → 0.20.2 (N-D labeled arrays and datasets in Python)

  * [zipp](https://pypi.org/project/zipp) 3.6.0 → 3.7.0 (Backport of pathlib-compatible object wrapper for zip files)



Removed packages:



  * [backports.entry_points_selectable](https://pypi.org/project/backports.entry_points_selectable) 1.1.0 (Compatibility shim providing selectable entry points for older implementations)

  * [cached_property](https://pypi.org/project/cached_property) 1.5.2 (A decorator for caching properties in classes.)

  * [dateutils](https://pypi.org/project/dateutils) 0.6.12 (Various utilities for working with date and datetime objects)

  * [flask_cors](https://pypi.org/project/flask_cors) 3.0.10 (A Flask extension adding a decorator for CORS support)

  * [ibis_framework](https://pypi.org/project/ibis_framework) 2.0.0 (Productivity-centric Python Big Data Framework)

  * [parsy](https://pypi.org/project/parsy) 1.3.0 (easy-to-use parser combinators, for parsing in pure Python)

  * [pyside6](https://pypi.org/project/pyside6) 6.2.1 (Python bindings for the Qt cross-platform application and UI framework)

  * [setuptools_scm](https://pypi.org/project/setuptools_scm) 6.3.2 (the blessed package to manage your versions by scm tags)

  * [shiboken6](https://pypi.org/project/shiboken6) 6.2.1 (Python / C++ bindings helper module)

  * [tranquilizer](https://pypi.org/project/tranquilizer) 0.5.1a1 (Put your functions to REST)

  * [voila_gridstack](https://pypi.org/project/voila_gridstack) 0.2.0 (A GridStack template for Voila.)



* * *

